loci.formats.in

## Class PrairieMetadata.ValueTable

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,PrairieMetadata.Value>
    - - loci.formats.in.PrairieMetadata.ValueTable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,PrairieMetadata.Value>, PrairieMetadata.Value
  Enclosing class:
    PrairieMetadata

      public static class PrairieMetadata.ValueTable
      extends java.util.HashMap<java.lang.String,PrairieMetadata.Value>
      implements PrairieMetadata.Value

  A table of values. Each value may be either a leaf item (`PrairieMetadata.ValueItem`) or a sub-table (`PrairieMetadata.ValueTable`).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()`
    `PrairieMetadata.Value` | `get(int index)`
    `boolean` | `isTable()`
    `java.lang.String` | `value()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface loci.formats.in.PrairieMetadata.Value

      `get`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ValueTable

          public ValueTable()

  - ### Method Detail

    - #### isTable

          public boolean isTable()

      Specified by:
        `isTable` in interface `PrairieMetadata.Value`

    - #### get

          public PrairieMetadata.Value get(int index)

      Specified by:
        `get` in interface `PrairieMetadata.Value`

    - #### value

          public java.lang.String value()

      Specified by:
        `value` in interface `PrairieMetadata.Value`

    - #### description

          public java.lang.String description()

      Specified by:
        `description` in interface `PrairieMetadata.Value`

Copyright © 2026 Open Microscopy Environment